# Interface NodeDefaults

#### Hierarchy

- NodeDefaults

#####
Index

### Properties

groupLabelDisplay
header
hoverColor
labelDisplay
labelHalign
labelMinLength
labelStyle
labelValign
selectedInnerColor
selectedOuterColor

## Properties

### groupLabelDisplay

groupLabelDisplay: string

The label display behavior for group nodes.

### header

header: NodeDefaultsHeader

An object defining default properties for the node header. See the Help documentation for more information.

### hoverColor

hoverColor: string

The color of the node hover feedback.

### labelDisplay

labelDisplay: string

The label display behavior for leaf nodes.

### labelHalign

labelHalign: string

The horizontal alignment for labels displayed within the node.

### labelMinLength

labelMinLength: number

The minimum number of visible characters needed to render a truncated label. See the Help documentation for more information.

### labelStyle

labelStyle: object

The CSS style object defining the style of the label. See the Help documentation for more information.

### labelValign

labelValign: string

The vertical alignment for labels displayed within the node.

### selectedInnerColor

selectedInnerColor: string

The inner color of the node selection feedback.

### selectedOuterColor

selectedOuterColor: string

The outer color of the node selection feedback.

Generated using TypeDoc